# Uses of Interface
javax.sql.rowset.spi.SyncResolver

Packages that use SyncResolver
Package
Description
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.

## Uses of SyncResolver in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi that return SyncResolver
Modifier and Type
Method
Description
`SyncResolver`
SyncProviderException.`getSyncResolver()`
Retrieves the `SyncResolver` object that has been set for this `SyncProviderException` object, or if none has been set, an instance of the default `SyncResolver` implementation included in the reference implementation.
Methods in javax.sql.rowset.spi with parameters of type SyncResolver
Modifier and Type
Method
Description
`void`
SyncProviderException.`setSyncResolver(SyncResolver syncResolver)`
Sets the `SyncResolver` object for this `SyncProviderException` object to the one supplied.
Constructors in javax.sql.rowset.spi with parameters of type SyncResolver
Modifier
Constructor
Description
``
`SyncProviderException(SyncResolver syncResolver)`
Constructs a `SyncProviderException` object with the specified `SyncResolver` instance.